"Very simple problem: minimize x while keeping x greater than 1."

from gpkit import Model, Variable

# Decision variable
x = Variable("x")

# Constraint
constraints = [x >= 1]

# Objective (to minimize)
objective = x

# Formulate the Model
m = Model(objective, constraints)

# Solve the Model
sol = m.solve(verbosity=0)

# print selected results
print(f"Optimal cost:  {sol['cost']:.4g}")
print(f"Optimal x val: {sol['variables'][x]:.4g}")
